Last modified: 2014-08-04 11:05:24 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 52154 - Monobook: ULS form (opened by keyboard icon) out of screen if content language = LTR and UI language = RTL
Monobook: ULS form (opened by keyboard icon) out of screen if content languag...
Status: REOPENED
Product: MediaWiki extensions
Classification: Unclassified
UniversalLanguageSelector (Other open bugs)
unspecified
All All
: High normal (vote)
: ---
Assigned To: Amir E. Aharoni
https://nl.wikipedia.org/w/index.php?...
: browser-test-bug
: 56369 (view as bug list)
Depends on:
Blocks: rtl 56369
  Show dependency treegraph
 
Reported: 2013-07-27 17:39 UTC by kipod
Modified: 2014-08-04 11:05 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description kipod 2013-07-27 17:39:26 UTC
REPORODUCTION

1) open hewiki (or any wiki with "&uselang=he") using monochrome: 
         https://he.wikipedia.org/?useskin=monobook
2) click inside the "search" input line
3) notice the little keyboard icon (the one partially obscuring the "Search" button)
4) click it
5) notice that the form is outside the screen


(bug discovered by [[User:Guycn2]] and reported on hewiki helpdesk - i'm just the messenger).

peace.
Comment 1 kipod 2013-07-27 17:41:02 UTC
s/monochrome/monobook/

peace.
Comment 2 Siebrand Mazeland 2013-09-02 12:00:50 UTC
Planned as part of https://mingle.corp.wikimedia.org/projects/internationalization/cards/3578
Comment 3 Amir E. Aharoni 2013-09-06 11:22:07 UTC
Upstream fix: https://github.com/wikimedia/jquery.ime/pull/272
Comment 4 Gerrit Notification Bot 2013-09-14 05:21:38 UTC
Change 84189 had a related patch set uploaded by KartikMistry:
Update jquery.ime from upstream

https://gerrit.wikimedia.org/r/84189
Comment 5 Gerrit Notification Bot 2013-09-14 06:23:04 UTC
Change 84189 merged by jenkins-bot:
Update jquery.ime from upstream

https://gerrit.wikimedia.org/r/84189
Comment 6 Amir E. Aharoni 2013-10-31 11:58:54 UTC
The tests found a regression.
Comment 7 Siebrand Mazeland 2013-11-12 07:50:53 UTC
Just tested the scenario on 1.23wmf2 (eba9af3) and it works as expected.
Comment 8 Amir E. Aharoni 2013-11-12 07:58:41 UTC
This works in the content language and the UI language is RTL, but broken if the content language is ltr and the ui language is rtl.
Comment 9 Amir E. Aharoni 2013-11-12 07:59:28 UTC
*** Bug 56369 has been marked as a duplicate of this bug. ***
Comment 10 Andre Klapper 2014-08-04 11:05:24 UTC
(In reply to Amir E. Aharoni from comment #8)
> This works if the content language and the UI language is RTL, but broken if
> the content language is ltr and the ui language is rtl.

Still confirming for https://fr.wikipedia.org/?useskin=monobook&uselang=he

Amir: As only this combination is still affected, should this still be high priority?

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links